#include<iostream>

using namespace std;

long long int combine(long long int a,long long int b) {
    long long int power = 1;
    while (power <= b)
    power *= 10;
   return a*power + b;
}

int main()
{
    long long int a,b,c,x,y,z,m,n,k;
    cin >> a >> b >> c;

    x = combine(combine(a,b),c);
    y = combine(combine(a,c),b);
    z = combine(combine(c,b),a);
    m = combine(combine(c,a),b);
    n = combine(combine(b,a),c);
    k = combine(combine(b,c),a);
    int maksimum = max(max(max(max(max(x,y),z),m),n),k);

    if     (maksimum == x)  cout << a << b << c;
    else if(maksimum == y)  cout << a << c << b;
    else if(maksimum == z)  cout << c << b << a;
    else if(maksimum == m)  cout << c << a << b;
    else if(maksimum == n)  cout << b << a << c;
    else                    cout << b << c << a;

    return 0;
}